Summary: Fermi configurations for AutoRPM
Name: autorpm-config
Version: 3.0
Release: 4
Group: Fermi
Copyright: GPL
Packager: Dan Yocum <yocum@fnal.gov>
Source: autorpm-config-3.0.tar
Source1: autorpm-config-DONOTEXPORT-updates
Requires: autorpm >= 1.9
BuildRoot: /tmp/autorpm-build
BuildArch: noarch

Patch0: autorpm-config-autorpm.conf-dcdsv0.patch
Patch1: autorpm-config-autorpm.conf-DONOTEXPORT.patch

%description
These are the Fermi config files for AutoRPM.  These together with the actual
AutoRPM package will automatically perform system security upgrades and
install additional components to the Fermi Linux distribution.

%prep

%setup

%patch0 -p0 -b dcdsv0
%patch1 -p0 -b DONOTEXPORT

%build

%install
#cd ${RPM_SOURCE_DIR}
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/pools
install -m 0600 autorpm-config-autorpm.conf ${RPM_BUILD_ROOT}/etc/autorpm.d/autorpm.conf
install -m 0600 autorpm-config-updates ${RPM_BUILD_ROOT}/etc/autorpm.d/pools/updates
install -m 0600 autorpm-config-addons ${RPM_BUILD_ROOT}/etc/autorpm.d/pools/addons
install -m 0600 autorpm-config-workgroup-updates ${RPM_BUILD_ROOT}/etc/autorpm.d/pools/workgroup-updates
install -m 0600 %{SOURCE1} ${RPM_BUILD_ROOT}/etc/autorpm.d/pools/DONOTEXPORT-updates

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config %attr(-,root,root) /etc/autorpm.d/autorpm.conf
%config %attr(-,root,root) /etc/autorpm.d/pools/updates
%config %attr(-,root,root) /etc/autorpm.d/pools/addons
%config %attr(-,root,root) /etc/autorpm.d/pools/workgroup-updates
%config %attr(-,root,root) /etc/autorpm.d/pools/DONOTEXPORT-updates
